> For the complete documentation index, see [llms.txt](https://texau.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://texau.gitbook.io/api-docs/reference/api-reference/results.md).

# Results

## Get the result of an execution

This API will be used to get the result of any execution by using their `executionId`

## GET /api/v1/public/results/{executionId}

>

```json
{"openapi":"3.0.0","info":{"title":"TexAu APIs","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"ResultDto":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"data":{"type":"object"}},"required":["success","message","data"]}}},"paths":{"/api/v1/public/results/{executionId}":{"get":{"operationId":"ApiController_getResult","parameters":[{"name":"X-TexAu-Context","in":"header","description":"Pass orgUserId and workspaceId as ‘{\"orgUserId\":\"123\",\"workspaceId\":\"123\"}’","required":true,"schema":{"type":"string"}},{"name":"executionId","required":true,"in":"path","description":"The executionId","schema":{"type":"string"}}],"responses":{"200":{"description":"Result fetched successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultDto"}}}},"401":{"description":"Unauthorized access"},"403":{"description":"Your plan does not have API access"},"422":{"description":"Requested workspace does not belongs to you"},"500":{"description":"Error in retrieving results"}},"tags":["API Service"]}}}}
```
